<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Namespace Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all namespace members with links to the namespace documentation for each member:</div>

<h3><a id="index_a"></a>- a -</h3><ul>
<li>acquireGeneratorTracker()
: <a class="el" href="namespaceCatch_1_1Generators.html#ac1fe3550c5f97370fc6729e04d7571b8">Catch::Generators</a>
</li>
<li>Approx()
: <a class="el" href="namespaceCatch_1_1Matchers.html#a02bf172177011d09780a98635dc5a124">Catch::Matchers</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>cerr()
: <a class="el" href="namespaceCatch.html#a54c1ce08041448d684ae8edc14162cd2">Catch</a>
</li>
<li>chunk()
: <a class="el" href="namespaceCatch_1_1Generators.html#acb4654b4e840e438e3bc204ac4d8e157">Catch::Generators</a>
</li>
<li>cleanUp()
: <a class="el" href="namespaceCatch.html#a0f78e9afdebc6d4512d18e76fbf54b8c">Catch</a>
</li>
<li>cleanUpContext()
: <a class="el" href="namespaceCatch.html#ae50508f10ffc4ed873a31a4db4caea16">Catch</a>
</li>
<li>clog()
: <a class="el" href="namespaceCatch.html#a1b2213f54e4d31a659db49827e81856b">Catch</a>
</li>
<li>compareEqual()
: <a class="el" href="namespaceCatch.html#afca4a005e1053c542462dc7a603b41b3">Catch</a>
</li>
<li>compareNotEqual()
: <a class="el" href="namespaceCatch.html#a8bec217f5ef5f09c17074c311c958f3c">Catch</a>
</li>
<li>contains()
: <a class="el" href="namespaceCatch.html#aa52974b0e426e7e2fbd725a900e9c36e">Catch</a>
</li>
<li>Contains()
: <a class="el" href="namespaceCatch_1_1Matchers.html#a1f6c2accdc6cd75a84d7112dcad647b4">Catch::Matchers</a>
</li>
<li>convertUnknownEnumToString()
: <a class="el" href="namespaceCatch_1_1Detail.html#a242396de537c5176710d680cc9ca6b93">Catch::Detail</a>
</li>
<li>convertUnstreamable()
: <a class="el" href="namespaceCatch_1_1Detail.html#aa064ddb2127a587f180b76a188ab909c">Catch::Detail</a>
</li>
<li>cout()
: <a class="el" href="namespaceCatch.html#a0179d453617ba2296f2baa99a49e7264">Catch</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>endsWith()
: <a class="el" href="namespaceCatch.html#ada025504f627feaf9ac68ca391515dff">Catch</a>
</li>
<li>EndsWith()
: <a class="el" href="namespaceCatch_1_1Matchers.html#ae5a45efb4538c57c43e04f3f9043ad6e">Catch::Matchers</a>
</li>
<li>Equals()
: <a class="el" href="namespaceCatch_1_1Matchers.html#af8af7dfc338335ed4c788cb1b37fc59f">Catch::Matchers</a>
</li>
<li>exceptionTranslateFunction
: <a class="el" href="namespaceCatch.html#aa7e3e5e9ffc312fdf5414c9cb0d07c24">Catch</a>
</li>
<li>ExceptionTranslators
: <a class="el" href="namespaceCatch.html#ac9b085681977f88ed527c279723edf48">Catch</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>filter()
: <a class="el" href="namespaceCatch_1_1Generators.html#a4df89be8072a9685ee89b6776a54bb93">Catch::Generators</a>
</li>
<li>filterTests()
: <a class="el" href="namespaceCatch.html#a105d5acdec8a6b401e12a592557c9dd1">Catch</a>
</li>
<li>finalizeDescription()
: <a class="el" href="namespaceCatch_1_1Matchers_1_1Generic_1_1Detail.html#a79ef1103073f7a8d31735436d2012835">Catch::Matchers::Generic::Detail</a>
</li>
<li>formatReconstructedExpression()
: <a class="el" href="namespaceCatch.html#a520110c31f26cf9892595772ab814fc0">Catch</a>
</li>
<li>from_range()
: <a class="el" href="namespaceCatch_1_1Generators.html#a62a768a07d44903a0691ec620d4f72c4">Catch::Generators</a>
</li>
<li>FunctionReturnType
: <a class="el" href="namespaceCatch.html#a3051165b0eea6023939f0f8a71ecf03f">Catch</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>generate()
: <a class="el" href="namespaceCatch_1_1Generators.html#a3b0ab1f589b1d1e0e92afcd12cf4ab12">Catch::Generators</a>
</li>
<li>GeneratorBasePtr
: <a class="el" href="namespaceCatch_1_1Generators.html#a2f1eaef46ea5874056069085ef324516">Catch::Generators</a>
</li>
<li>getAllTestCasesSorted()
: <a class="el" href="namespaceCatch.html#a97039bab95e97f059410f67425f1f2da">Catch</a>
</li>
<li>getCurrentContext()
: <a class="el" href="namespaceCatch.html#a228a625318bb6183842e394eeba17d50">Catch</a>
</li>
<li>getCurrentMutableContext()
: <a class="el" href="namespaceCatch.html#a710841d4732b86c06f816bd4822bd425">Catch</a>
</li>
<li>getCurrentNanosecondsSinceEpoch()
: <a class="el" href="namespaceCatch.html#a98d058468488c486a9cb5c8463f3ba29">Catch</a>
</li>
<li>getEstimatedClockResolution()
: <a class="el" href="namespaceCatch.html#ac8e1ed37624bd0d97b2c0d4ec099d31f">Catch</a>
</li>
<li>getMutableRegistryHub()
: <a class="el" href="namespaceCatch.html#a585459763f2c7610e57de2dd22dd1ad8">Catch</a>
</li>
<li>getRegistryHub()
: <a class="el" href="namespaceCatch.html#a5d328566cb8da87b48f1fac3f319ac7a">Catch</a>
</li>
<li>getResultCapture()
: <a class="el" href="namespaceCatch.html#af718eeab870712f292ed8dc6ee3f6488">Catch</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>handleExceptionMatchExpr()
: <a class="el" href="namespaceCatch.html#aea6f8ff3b3838829d4a61694e4bc41ca">Catch</a>
</li>
<li>handleExpression()
: <a class="el" href="namespaceCatch.html#a65af25091f2ab61056e166765963e525">Catch</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>IConfigPtr
: <a class="el" href="namespaceCatch.html#afd20a5d4f9d2f4d525db81a7765367b0">Catch</a>
</li>
<li>IReporterFactoryPtr
: <a class="el" href="namespaceCatch.html#a6b5bdcf05f6ac139bcd868aef44f4a43">Catch</a>
</li>
<li>isFalseTest()
: <a class="el" href="namespaceCatch.html#a93ef4e3e307a2021ca0d41b32c0e54b0">Catch</a>
</li>
<li>isJustInfo()
: <a class="el" href="namespaceCatch.html#a54b01af61673a3e1f21f31713639b180">Catch</a>
</li>
<li>isOk()
: <a class="el" href="namespaceCatch.html#a5205869c81c06d3460759cb86676ae68">Catch</a>
</li>
<li>isThrowSafe()
: <a class="el" href="namespaceCatch.html#af3e820574c7a0b38d71328c5bd54b0e0">Catch</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>make_unique()
: <a class="el" href="namespaceCatch_1_1Generators_1_1pf.html#a015e8fcef2972da878a07023e40d46d8">Catch::Generators::pf</a>
</li>
<li>makeGenerators()
: <a class="el" href="namespaceCatch_1_1Generators.html#a7cc95d72b060e2819b2edbbdbf8c646b">Catch::Generators</a>
</li>
<li>makeMatchExpr()
: <a class="el" href="namespaceCatch.html#a23a9a9a6dfef7ecd5e0eaf553fc52de6">Catch</a>
</li>
<li>makeStream()
: <a class="el" href="namespaceCatch.html#af6d27462573d60c30c51acf1c980e3ff">Catch</a>
</li>
<li>makeTestCase()
: <a class="el" href="namespaceCatch.html#a5e63df38d06a43d4cee17454e724b5c0">Catch</a>
</li>
<li>makeTestInvoker()
: <a class="el" href="namespaceCatch.html#ab3d8ccbc900fe50322c39ecbba52f536">Catch</a>
</li>
<li>map()
: <a class="el" href="namespaceCatch_1_1Generators.html#af33fd06c51ac9173c3bee2ddee2559a6">Catch::Generators</a>
</li>
<li>Matches()
: <a class="el" href="namespaceCatch_1_1Matchers.html#a82f1893cf50ae4c14b9b3e0980bf22b8">Catch::Matchers</a>
</li>
<li>matchTest()
: <a class="el" href="namespaceCatch.html#aadef80fbc6bc84589777a462770cef49">Catch</a>
</li>
<li>Message()
: <a class="el" href="namespaceCatch_1_1Matchers.html#a0fcd8bd126bb510a6bb99e6360aa270a">Catch::Matchers</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>operator&quot;&quot;_a()
: <a class="el" href="namespaceCatch_1_1literals.html#aed9bf4d544c60a074440a055a54ea6c3">Catch::literals</a>
</li>
<li>operator&quot;&quot;_sr()
: <a class="el" href="namespaceCatch.html#adc1e84abf2d7a8b971948ec4ab373280">Catch</a>
</li>
<li>operator+()
: <a class="el" href="namespaceCatch.html#a074287bb202b5f53de64b5b63c16b23c">Catch</a>
</li>
<li>operator+=()
: <a class="el" href="namespaceCatch.html#a61711bc909f8dc76d8b3deccc1440f46">Catch</a>
</li>
<li>operator&lt;&lt;()
: <a class="el" href="namespaceCatch.html#a8c8ea1f66bc1cdc3e1254ed7fa57c06d">Catch</a>
</li>
<li>operator|()
: <a class="el" href="namespaceCatch.html#ab32a083e442cc09f736327d2e2865999">Catch</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>Predicate()
: <a class="el" href="namespaceCatch_1_1Matchers.html#a70a7c65c44f6ea7f739402c0b6f28657">Catch::Matchers</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>random()
: <a class="el" href="namespaceCatch_1_1Generators.html#a079a48b510a5f171707e87f351328e52">Catch::Generators</a>
</li>
<li>range()
: <a class="el" href="namespaceCatch_1_1Generators.html#a6e53e65dfedc4d39febcb7b2b862afd9">Catch::Generators</a>
</li>
<li>rangeToString()
: <a class="el" href="namespaceCatch_1_1Detail.html#ac954cf158347a76a5b0c3f4fa9a9fa52">Catch::Detail</a>
, <a class="el" href="namespaceCatch.html#af13494e925a793e3e7143c6ce6f442c2">Catch</a>
</li>
<li>rawMemoryToString()
: <a class="el" href="namespaceCatch_1_1Detail.html#ac5d6c510e565ee5bddcc2236194ce29e">Catch::Detail</a>
</li>
<li>repeat()
: <a class="el" href="namespaceCatch_1_1Generators.html#a510cc0d72a7bab8f967827e695b981ba">Catch::Generators</a>
</li>
<li>replaceInPlace()
: <a class="el" href="namespaceCatch.html#afe4e6770da547e43e9e4eeaa05f946ea">Catch</a>
</li>
<li>rng()
: <a class="el" href="namespaceCatch.html#a66ea553511cbbc59d99e1720d8da514e">Catch</a>
</li>
<li>rngSeed()
: <a class="el" href="namespaceCatch.html#acf5ea05e942d2d7fe79111e12754ed76">Catch</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>shouldContinueOnFailure()
: <a class="el" href="namespaceCatch.html#a7f7480b15d74965459c844f0d393ed87">Catch</a>
</li>
<li>shouldSuppressFailure()
: <a class="el" href="namespaceCatch.html#ab91eb13081203d634fe48d3d2ab386d7">Catch</a>
</li>
<li>splitStringRef()
: <a class="el" href="namespaceCatch.html#a678e3c779388970bb3ec5802245f93d7">Catch</a>
</li>
<li>StartsWith()
: <a class="el" href="namespaceCatch_1_1Matchers.html#a97c9ee09a70378ca7e8c6f9f01b0d6d1">Catch::Matchers</a>
</li>
<li>startsWith()
: <a class="el" href="namespaceCatch.html#acad23751846ac23d0f379e34f5adebb1">Catch</a>
</li>
<li>stringify()
: <a class="el" href="namespaceCatch_1_1Detail.html#af0ad48344ffd3f92f3568465248a9880">Catch::Detail</a>
</li>
<li>StringMatcher
: <a class="el" href="namespaceCatch.html#ad347e71864a8f95073fb1ba62137f9d6">Catch</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>table()
: <a class="el" href="namespaceCatch_1_1Generators.html#a2f096d2c76a9d0c84153243fdc479c7e">Catch::Generators</a>
</li>
<li>take()
: <a class="el" href="namespaceCatch_1_1Generators.html#adedfdb318219078ce9107690745d2f2f">Catch::Generators</a>
</li>
<li>throw_domain_error()
: <a class="el" href="namespaceCatch.html#ae67297c3e265b0fcd55de371bf408e4e">Catch</a>
</li>
<li>throw_exception()
: <a class="el" href="namespaceCatch.html#a3cbceeab9252d1b752f66a2826e92548">Catch</a>
</li>
<li>throw_logic_error()
: <a class="el" href="namespaceCatch.html#a707884e681203fef6bf7dbf752532fa5">Catch</a>
</li>
<li>throw_runtime_error()
: <a class="el" href="namespaceCatch.html#a48d2c35022dd9d56a1b7ee78ad581eea">Catch</a>
</li>
<li>toLower()
: <a class="el" href="namespaceCatch.html#ac036a17412d318598ffda8e1fe7a1177">Catch</a>
</li>
<li>toLowerInPlace()
: <a class="el" href="namespaceCatch.html#a0760dbe87d090a55a35414db57d272c4">Catch</a>
</li>
<li>translateActiveException()
: <a class="el" href="namespaceCatch.html#adafff91485eeeeb9e9333f317cc0e3b1">Catch</a>
</li>
<li>trim()
: <a class="el" href="namespaceCatch.html#a084108b47f37d8bfd5db51c50c7451b3">Catch</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>UnorderedEquals()
: <a class="el" href="namespaceCatch_1_1Matchers.html#a3b1784cd26bd7e3fea38505eb138b186">Catch::Matchers</a>
</li>
<li>unprintableString
: <a class="el" href="namespaceCatch_1_1Detail.html#a466775f4eec29ffef29ab334cd885136">Catch::Detail</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>value()
: <a class="el" href="namespaceCatch_1_1Generators.html#a3b2efc97978cf37951b75394aae1a3fb">Catch::Generators</a>
</li>
<li>values()
: <a class="el" href="namespaceCatch_1_1Generators.html#aff55717239311a0e8352a4de5d29967f">Catch::Generators</a>
</li>
<li>VectorContains()
: <a class="el" href="namespaceCatch_1_1Matchers.html#ad8092d8b34128390dbff20b87f2f6f99">Catch::Matchers</a>
</li>
<li>Verbosity
: <a class="el" href="namespaceCatch.html#af85c0d46dfe687d923a157362fd07737">Catch</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>WithinAbs()
: <a class="el" href="namespaceCatch_1_1Matchers.html#a4c9ea76d47d02de0cf2d354c87c26e95">Catch::Matchers</a>
</li>
<li>WithinRel()
: <a class="el" href="namespaceCatch_1_1Matchers.html#a0c559d9cfda02a81941ad6933f4ca450">Catch::Matchers</a>
</li>
<li>WithinULP()
: <a class="el" href="namespaceCatch_1_1Matchers.html#ae77e233c3ed735ea12b7c726153798d1">Catch::Matchers</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
